Subject: Re: bug#79124: emacs -Q doesn't give me a clean slate

From: Paul Eggert <[email-masked]>
Date: Wed, 30 Jul 2025 10:02:35 -0700

On 2025-07-30 09:03, Eli Zaretskii wrote:
> OTOH, it's quite annoying to type the same responses to the NSM
> prompts when trying stuff in "emacs -Q".
> 
> There is "emacs -D", which perhaps could be more "pristine".  Patches
> welcome.

Thanks for looking into it. As someone who merely wants to run Emacs in 
a clean state I find all these options confusing. For example I didn't 
know about -D, and I had forgotten about the $HOME trick. It would be 
convenient to have an easy way to do all this stuff.

How about a new option, say -R or --really-quick, that causes Emacs to 
omit all this setup information so as to get a clean slate? It would 
cause Emacs to not access anything under $HOME during setup, as well as 
by doing everything that -Q and -D do, along with any similar options 
(--no-desktop, --no-build-details, anything else?).